Dmytro Pastovenskyi Dmytro Pastovenskyi - 5 months ago 105
Node.js Question

node.js Setup Wizard ended prematurely

I can't install node.js (0.8.9). I'm doing it via Setup Wizard and each time at the end of installation I get message "Node.js Setup Wizard ended prematurely".

What could it be? Thanks.

Jim Jim
Answer

This may help someone in the future. I got a similar message from the installer and found that I could go to command prompt and run the MSI with a command line option to make it create a log file (like node-v0.10.24-x64.msi /lxv C:\Logs\Nodejs.log), where you can choose what the log is called and where it goes.

In my case, we are running in an Active Directory domain environment and some of our folders that are normally local are redirected to a network share so they are always there no matter what computer we log into. Mostly for the benefit of our "My Documents" folder.

When looking through the log I found the actual error that I was getting:

  • WixCreateInternetShortcuts: Error 0x80070005: failed to save shortcut '\ad.local\system\users\<myAcctName>\Start Menu\Programs\Node.js\Node.js website.url'
  • WixCreateInternetShortcuts: Error 0x80070005: failed to create Internet shortcut
  • CustomAction WixCreateInternetShortcuts returned actual error code 1603 (note this may not be 100% accurate if translation happened inside sandbox).

Resolution (for me)

Oddly enough, just running an admin escalated command prompt first, and then running the MSI lets it install correctly.

I think the difference is that when you double-click on an MSI and it escalates, it runs as TrustedInstaller and while that account has access to everything on my box, it does not have network access. When I run an escalated command prompt, it is running as me, but already escalated (the MSI never needs to ask for escalation), so it works.

Final Note:

As of 7/22/2015, the node.js team has finally tracked down the issue with the installer and from 0.12.8 and forward this should be no longer an issue for us. I tested an early version of the installer for them to make sure it worked for me and there were no hitches with the install.

https://github.com/joyent/node/issues/5849#issuecomment-123905214

As of this writing, 7/30/2015, the current version was still 0.12.7, so x.8 has not yet been rolled out to the masses I guess.